--[[ require("Player/player")

bullet = {}
bullet.damage = 5
bullet.speed = 800
 
function bullet:spawn(x,y,dir)
	table.insert(bullet, {width = 1, height = 1, x = x, dir = dir} )
end

function bullet:draw()
	for i,v in ipairs(bullet) do
		love.graphics.setColor(0,0,0)
		love.graphics.rectangle('fill',v.x,v.y,v.width,v.height)
	end
end

function bullet:update(dt)
    for i,v in ipairs(bullet) do
    	if v.dir == 'right' then
    		v.x = v.x + bullet.speed * dt
    	end
    	if v.id == 'left' then
    		v.x = v.x - bullet.speed * dt
    	end
    end
end

function bullet:shoot(key)
	if key == "p" and
		(p.facingRight == true) and (p.facingLeft == false) then
		bullet:spawn(p.x,p.y, 'right')
	end
	if key == "p" and
		(p.facingLeft == true) and (p.facingRight == false) then
		bullet:spawn(p.x + 10, p.y + 7, 'left')
	end
end
--]]